package NisumWebTest.StepDefination;
import NisumWebTest.PageObject.NisumPage;
import NisumWebTest.Utils.BaseTestNisum;
import io.cucumber.java.en.And;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.testng.Assert;

public class StepDefination extends BaseTestNisum {
    NisumPage page;

    @Given("user is on the Google home page")
    public void user_is_on_the_google_home_page()
    {        setUp();
    }

    @When("user enters {string} in the search bar and clicks on search")
    public void user_enter_text_in_the_search_bar_and_clicks_on_search(String text)
    {
        page = new NisumPage(obj);
        page.searchNisum(text);
    }
    @And("user selects the top search result for Nisum and clicks on it")
    public void user_selects_the_top_search_result_for_Nisum_and_clicks_on_it()
    {
        page.clickOnNisum();
    }

    @And("user hovers over Global Careers and clicks on Pakistan")
    public void user_hovers_over_Global_Careers_and_clicks_on_Pakistan()
    {
        page.click_pakistan_career();
    }

    @Then("the user should see the text hiring on the page")
    public void the_user_should_see_the_text_hiring_on_the_page()
    {


        Assert.assertEquals(page.hiringValidation(), "We're Hiring Now!");
    }

}