package POM_Structure_code.StepDefination;

import POM_Structure_code.TestClasses.LoginTest;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.When;
import io.cucumber.java.en.Then;
import io.cucumber.java.Before;

public class StepDefination {

    LoginTest test;  // Declare LoginTest here

    // Use a zero-argument constructor
    public StepDefination() {
        // Constructor should remain empty
    }

    @Before
    public void setUp() {
        // Initialize the LoginTest object in the @Before method
        test = new LoginTest();
        test.setUpTest();  // Set up the test before each scenario
    }

    @Given("Present on login page")
    public void presentOnLoginPage() {
        test.setUpTest(); // Reusing LoginTest setup
        test.obj.get("https://rahulshettyacademy.com/locatorspractice/");
    }

    @When("I enter username {string} and password {string} and click on login button")
    public void enteringData(String username, String password) {
        test.loginTest(username, password);  // Call LoginTest method for login
    }

    @Then("user should login")
    public void verifyLogin() {
        test.validateLogin(); // Verify login was successful using LoginTest
    }
}
