package POM_Structure_code.Utils;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;

import java.time.Duration;

public class BaseTest {
    public WebDriver obj;

    public void setUp() {
        obj = new FirefoxDriver();
        obj.manage().timeouts().implicitlyWait(Duration.ofSeconds(5));
    }

    public void tearDown() {
        if (obj != null) {
            obj.quit();  // Use quit instead of close to make sure the browser session is fully terminated
        }
    }
}
